Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::PlaneIntersection Class Reference

平面交差 More...

`#include <PlaneIntersection.h>`

List of all members.

## Static Public Member Functions
bool | intersect (const Plane &plane, const Vector3 &point, float range=Math::epsilon)
| 点交差
bool | intersect (const Plane &plane0, const Plane &plane1)
| 平面交差
bool | intersect (const Plane &plane, const Ray &ray)
| レイ交差
bool | intersect (const Plane &plane, const Segment &segment)
| セグメント交差
bool | intersect (const Plane &plane, const Sphere &sphere)
| 球交差
bool | intersect (const Plane &plane, const Triangle &triangle)
| 三角交差

## Detailed Description

平面交差

Definition at line 40 of file PlaneIntersection.h.

## Member Function Documentation

bool Lamp::PlaneIntersection::intersect | ( | const Plane & | plane,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角交差 Parameters:
  plane | 平面
  triangle | 三角
Returns: 交差していればtrue Definition at line 93 of file PlaneIntersection.cpp. References Assert.

bool Lamp::PlaneIntersection::intersect | ( | const Plane & | plane,
|  | const Sphere & | sphere
| ) | `[static]`

  | 球交差 Parameters:
  plane | 平面
  sphere | 球
Returns: 交差していればtrue Definition at line 84 of file PlaneIntersection.cpp. References Lamp::Sphere::getCenter(), Lamp::Plane::getDistance(), and Lamp::Sphere::getRadius().

bool Lamp::PlaneIntersection::intersect | ( | const Plane & | plane,
|  | const Segment & | segment
| ) | `[static]`

  | セグメント交差 Parameters:
  plane | 平面
  segment | セグメント
Returns: 交差していればtrue Definition at line 68 of file PlaneIntersection.cpp. References Lamp::Vector3::dotProduct(), Lamp::Segment::getDirection(), Lamp::Plane::getDistance(), Lamp::Plane::getNormal(), and Lamp::Segment::getOrigin().

bool Lamp::PlaneIntersection::intersect | ( | const Plane & | plane,
|  | const Ray & | ray
| ) | `[static]`

  | レイ交差 Parameters:
  plane | 平面
  ray | レイ
Returns: 交差していればtrue Definition at line 52 of file PlaneIntersection.cpp. References Lamp::Vector3::dotProduct(), Lamp::Ray::getDirection(), Lamp::Plane::getDistance(), Lamp::Plane::getNormal(), and Lamp::Ray::getOrigin().

bool Lamp::PlaneIntersection::intersect | ( | const Plane & | plane0,
|  | const Plane & | plane1
| ) | `[static]`

  | 平面交差 Parameters:
  plane0 | 平面
  plane1 | 平面
Returns: 交差していればtrue Definition at line 43 of file PlaneIntersection.cpp. References Lamp::Vector3::crossProduct(), Lamp::Plane::getNormal(), and Lamp::Vector3::getSquaredLength().

bool Lamp::PlaneIntersection::intersect | ( | const Plane & | plane,
|  | const Vector3 & | point,
|  | float | range = Math::epsilon
| ) | `[static]`

  | 点交差 Parameters:
  plane | 平面
  point | 点
  range | 交差範囲
Returns: 交差していればtrue Definition at line 34 of file PlaneIntersection.cpp. References Assert.

The documentation for this class was generated from the following files:

- PlaneIntersection.h
- PlaneIntersection.cpp